summaryrefslogtreecommitdiffstats
path: root/scripts/buildinstall
diff options
context:
space:
mode:
authorJesse Keating <jkeating@redhat.com>2008-06-25 15:53:20 -0400
committerJesse Keating <jkeating@redhat.com>2008-06-25 15:53:30 -0400
commit1699978404493258ec1fc410089d753ee7b5d522 (patch)
treef5628188919abb460c0e35385eb7d6ab9c71134d /scripts/buildinstall
parentd29270cb0ce63d198a6ea8166832051d956961e3 (diff)
downloadanaconda-1699978404493258ec1fc410089d753ee7b5d522.tar.gz
anaconda-1699978404493258ec1fc410089d753ee7b5d522.tar.xz
anaconda-1699978404493258ec1fc410089d753ee7b5d522.zip
Query for anaconda rather than anaconda-runtime in buildinstall
Since we don't create an anaconda-runtime package anymore, buildinstall querying for it was going wrong. Admittedly this may be a problem with repoquery and yumdownloader, and that will be investigated, but for the sake of getting things working, I'm fixing it here.
Diffstat (limited to 'scripts/buildinstall')
-rwxr-xr-xscripts/buildinstall8
1 files changed, 4 insertions, 4 deletions
diff --git a/scripts/buildinstall b/scripts/buildinstall
index 829d33c24..715b79b47 100755
--- a/scripts/buildinstall
+++ b/scripts/buildinstall
@@ -166,10 +166,10 @@ TREEDIR=`mktemp -d ${TMPDIR:-/tmp}/treedir.XXXXXX`
echo "Running buildinstall..."
pushd $BUILDINSTDIR
-BUILDARCH=`repoquery -c $yumconf --qf "%{ARCH}\n" anaconda-runtime`
-yumdownloader -c $yumconf anaconda-runtime || exit 1
-rpm2cpio anaconda-runtime*rpm | cpio --quiet -iumd './usr*'
-rm -f anaconda-runtime*rpm
+BUILDARCH=`repoquery -c $yumconf --qf "%{ARCH}\n" anaconda`
+yumdownloader -c $yumconf anaconda || exit 1
+rpm2cpio anaconda*rpm | cpio --quiet -iumd './usr*'
+rm -f anaconda*rpm
popd
UPD_INSTROOT=./upd-instroot